<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>nginx代理跨域-VUE</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
<script>
location / {
	add_header Access-Control-Allow-Origin *;
}

#proxy服务器
server {
	listen       81;
	server_name  www.domain1.com;
	location / {
	proxy_pass   http://www.domain2.com:8080;  #反向代理
	proxy_cookie_domain www.domain2.comwww.domain1.com; #修改cookie里域名
	index  index.html index.htm;
	# 当用webpack-dev-server等中间件代理接口访问nignx时，此时无浏览器参与，故没有同源限制，下面的跨域配置可不启用
	add_header Access-Control-Allow-Origin http://www.domain1.com;  #当前端只跨域不带cookie时，可为*
	add_header Access-Control-Allow-Credentials true;
	}
}


</script>
 </body>
</html>